Support » Plugin: Admin Menu Editor » Not PHP 7.1 Compatible

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Janis Elsts

    (@whiteshadow)

    What problems or errors did you encounter? Was there anything in the PHP error log?

    I tested the plugin with PHP 7.1 and 7.2 and didn’t notice any issues, at least not on my sites.

    It had something to do with the plugin_action_link filter I think. It could possibly be a theme conflict as well, as the theme I’m using is custom and I didn’t build it. The site I had this on was working on 5.6, but I just moved it to 7.1 and that’s when things broke.

    Commenting out line 100 of shadow_plugin_framework.php stopped the fatal error issue.

    add_filter(‘plugin_action_links’, array(&$this, ‘plugin_action_links’), 10, 2);

    Plugin Author Janis Elsts

    (@whiteshadow)

    I think a plugin/theme conflict is more likely than a PHP compatibility issue.

    Still, if you get a chance, please check the error log. Knowing what the error message was would help track down the source of the conflict and ensure that other users aren’t affected.

    Hello, i have same problem.
    There is stacktrace:
    Fatal error: Uncaught ArgumentCountError: Too few arguments to function WPMenuEditor::maybe_reset_plugin_access(), 1 passed in /var/www/affgambler/data/www/affgambler.ru/wp-includes/class-wp-hook.php on line 286 and exactly 2 expected in /var/www/affgambler/data/www/affgambler.ru/wp-content/plugins/admin-menu-editor-pro/includes/menu-editor-core.php:1096 Stack trace: #0 /var/www/affgambler/data/www/affgambler.ru/wp-includes/class-wp-hook.php(286): WPMenuEditor->maybe_reset_plugin_access('affgambler') #1 /var/www/affgambler/data/www/affgambler.ru/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters('', Array) #2 /var/www/affgambler/data/www/affgambler.ru/wp-includes/plugin.php(453): WP_Hook->do_action(Array) #3 /var/www/affgambler/data/www/affgambler.ru/wp-content/themes/sportsnews/ajax/login.php(29): do_action('wp_login', 'affgambler') #4 {main} thrown in /var/www/affgambler/data/www/affgambler.ru/wp-content/plugins/admin-menu-editor-pro/includes/menu-editor-core.php on line 1096

    I fixed this in menu-editor-core.php on line 1096 adding default value to $current_user = false

    Plugin Author Janis Elsts

    (@whiteshadow)

    @anttoshka : It looks like you’re using an outdated Pro version release. It is not allowed to provide support for commercial plugins on this forum. Please use the contact form instead.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Not PHP 7.1 Compatible’ is closed to new replies.